import org.jboss.weld.environment.se.Weld;
import org.jboss.weld.environment.se.WeldContainer;

/**
 * Example main to exhibit private observer method problem.
 */
public class Main
{
    public static void main(String[] args)
    {
        Weld weld = new Weld()
                .disableDiscovery()
                .addBeanClass(AppScopeBean.class)
                .addDecorator(MyDecorator.class);

        WeldContainer container = weld.initialize();
        AppScopeBean bean = container.select(AppScopeBean.class).get();
        bean.doSomething();
        container.event().select(AnEvent.class).fire(new AnEvent());
        System.exit(0);
    }

    public static String identityToString(Object o)
    {
        return o.getClass().getName() + '@' + Integer.toHexString(System.identityHashCode(o));
    }
}
